<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:49:58 CEST 2020 -->
<title>SimpleStochasticBehavior</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SimpleStochasticBehavior";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleStochasticBehavior.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html" target="_top">Frames</a></li>
<li><a href="SimpleStochasticBehavior.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents</div>
<h2 title="Interface SimpleStochasticBehavior" class="title">Interface SimpleStochasticBehavior</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/SimpleStochasticBehaviorImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl">SimpleStochasticBehaviorImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">SimpleStochasticBehavior</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Simple Stochastic Behavior</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Class--"><code><em>Base Class</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Connector--"><code><em>Base Connector</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureOccurrence--"><code><em>Failure Occurrence</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getRepairDelay--"><code><em>Repair Delay</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureModesDistribution--"><code><em>Failure Modes Distribution</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Property--"><code><em>Base Property</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Class--">getBase_Class</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Class</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Connector</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Connector--">getBase_Connector</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Connector</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Instance Specification</b></em>' reference.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Property--">getBase_Property</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Property</b></em>' reference.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureModesDistribution--">getFailureModesDistribution</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Failure Modes Distribution</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureOccurrence--">getFailureOccurrence</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Failure Occurrence</b></em>' attribute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getRepairDelay--">getRepairDelay</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Repair Delay</b></em>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_Class-org.eclipse.uml2.uml.Class-">setBase_Class</a></span>(org.eclipse.uml2.uml.Class&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Class--"><code><em>Base Class</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_Connector-org.eclipse.uml2.uml.Connector-">setBase_Connector</a></span>(org.eclipse.uml2.uml.Connector&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Connector--"><code><em>Base Connector</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a></span>(org.eclipse.uml2.uml.Property&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Property--"><code><em>Base Property</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setFailureModesDistribution-java.lang.String-">setFailureModesDistribution</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureModesDistribution--"><code><em>Failure Modes Distribution</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setFailureOccurrence-java.lang.String-">setFailureOccurrence</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureOccurrence--"><code><em>Failure Occurrence</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setRepairDelay-java.lang.String-">setRepairDelay</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getRepairDelay--"><code><em>Repair Delay</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBase_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Class</h4>
<pre>org.eclipse.uml2.uml.Class&nbsp;getBase_Class()</pre>
<div class="block">Returns the value of the '<em><b>Base Class</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Class</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_Class-org.eclipse.uml2.uml.Class-"><code>setBase_Class(org.eclipse.uml2.uml.Class)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_Class--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior_Base_Class()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Class-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Class</h4>
<pre>void&nbsp;setBase_Class(org.eclipse.uml2.uml.Class&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Class--"><code><em>Base Class</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Class--"><code>getBase_Class()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Connector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Connector</h4>
<pre>org.eclipse.uml2.uml.Connector&nbsp;getBase_Connector()</pre>
<div class="block">Returns the value of the '<em><b>Base Connector</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Connector</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Connector</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_Connector-org.eclipse.uml2.uml.Connector-"><code>setBase_Connector(Connector)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_Connector--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior_Base_Connector()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Connector-org.eclipse.uml2.uml.Connector-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Connector</h4>
<pre>void&nbsp;setBase_Connector(org.eclipse.uml2.uml.Connector&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Connector--"><code><em>Base Connector</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Connector</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Connector--"><code>getBase_Connector()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_InstanceSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_InstanceSpecification</h4>
<pre>org.eclipse.uml2.uml.InstanceSpecification&nbsp;getBase_InstanceSpecification()</pre>
<div class="block">Returns the value of the '<em><b>Base Instance Specification</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Instance Specification</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Instance Specification</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-"><code>setBase_InstanceSpecification(InstanceSpecification)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_InstanceSpecification--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior_Base_InstanceSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_InstanceSpecification</h4>
<pre>void&nbsp;setBase_InstanceSpecification(org.eclipse.uml2.uml.InstanceSpecification&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Instance Specification</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_InstanceSpecification--"><code>getBase_InstanceSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFailureOccurrence--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFailureOccurrence</h4>
<pre>java.lang.String&nbsp;getFailureOccurrence()</pre>
<div class="block">Returns the value of the '<em><b>Failure Occurrence</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Failure Occurrence</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Failure Occurrence</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setFailureOccurrence-java.lang.String-"><code>setFailureOccurrence(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_FailureOccurrence--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior_FailureOccurrence()</code></a></dd>
</dl>
</li>
</ul>
<a name="setFailureOccurrence-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFailureOccurrence</h4>
<pre>void&nbsp;setFailureOccurrence(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureOccurrence--"><code><em>Failure Occurrence</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Failure Occurrence</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureOccurrence--"><code>getFailureOccurrence()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRepairDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepairDelay</h4>
<pre>java.lang.String&nbsp;getRepairDelay()</pre>
<div class="block">Returns the value of the '<em><b>Repair Delay</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Repair Delay</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Repair Delay</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setRepairDelay-java.lang.String-"><code>setRepairDelay(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_RepairDelay--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior_RepairDelay()</code></a></dd>
</dl>
</li>
</ul>
<a name="setRepairDelay-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRepairDelay</h4>
<pre>void&nbsp;setRepairDelay(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getRepairDelay--"><code><em>Repair Delay</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Repair Delay</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getRepairDelay--"><code>getRepairDelay()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFailureModesDistribution--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFailureModesDistribution</h4>
<pre>java.lang.String&nbsp;getFailureModesDistribution()</pre>
<div class="block">Returns the value of the '<em><b>Failure Modes Distribution</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Failure Modes Distribution</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Failure Modes Distribution</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setFailureModesDistribution-java.lang.String-"><code>setFailureModesDistribution(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_FailureModesDistribution--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior_FailureModesDistribution()</code></a></dd>
</dl>
</li>
</ul>
<a name="setFailureModesDistribution-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFailureModesDistribution</h4>
<pre>void&nbsp;setFailureModesDistribution(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureModesDistribution--"><code><em>Failure Modes Distribution</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Failure Modes Distribution</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureModesDistribution--"><code>getFailureModesDistribution()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Property--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Property</h4>
<pre>org.eclipse.uml2.uml.Property&nbsp;getBase_Property()</pre>
<div class="block">Returns the value of the '<em><b>Base Property</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Property</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Property</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#setBase_Property-org.eclipse.uml2.uml.Property-"><code>setBase_Property(Property)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_Property--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior_Base_Property()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Property-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBase_Property</h4>
<pre>void&nbsp;setBase_Property(org.eclipse.uml2.uml.Property&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Property--"><code><em>Base Property</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Property</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Property--"><code>getBase_Property()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleStochasticBehavior.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html" target="_top">Frames</a></li>
<li><a href="SimpleStochasticBehavior.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
